## ruby-spamcheck 0.1.0%2Bgit20210519.2084b44

=== Makefile ===
# Call `make V=1` in order to print commands verbosely.
ifeq ($(V),1)
    Q =
else
    Q = @
endif

SHELL = /usr/bin/env bash -eo pipefail

# Host information
OS   := $(shell uname)
ARCH := $(shell uname -m)

# Directories
SOURCE_DIR       := $(abspath $(dir $(lastword ${MAKEFILE_LIST})))
BUILD_DIR        := ${SOURCE_DIR}/build
TOOLS_DIR        := ${SOURCE_DIR}/tools

VER:='gitlab.com/gitlab-org/spamcheck=v0.0.1'
GIT:='gitlab.com/gitlab-org/spamcheck.gitCommit=' #$(shell git rev-parse --short HEAD)'
BUILD_TAG:='gitlab.com/gitlab-org/spamcheck.buildTag=42'
BUILD_TS:='gitlab.com/gitlab-org/spamcheck.buildTimestamp=$(shell date -u +"%Y-%m-%dT%H:%M:%SZ")'
JAEGER_BUILD_TAGS := tracer_static tracer_static_jaeger

# Tools
PROTO_DIR         := ${SOURCE_DIR}/api/v1
RUBY_PROTO_DIR    := ${SOURCE_DIR}/ruby/api/v1
PROTOC_DIR        := ${TOOLS_DIR}/protoc
PROTOC            := ${PROTOC_DIR}/bin/protoc
DOCS_DIR          := ${SOURCE_DIR}/docs/api/v1

# Tools options

# Dependency versions
PROTOC_VERSION             ?= 3.14.0
PROTOC_GEN_GO_VERSION      ?= 1.25.0
PROTOC_GEN_GRPC_VERSION    ?= 1.0.1
PROTOC_GEN_GRPC_GW_VERSION ?= 2.1.0

# Dependency downloads
ifeq (${OS},Darwin)
    PROTOC_URL            ?= https://github.com/protocolbuffers/protobuf/releases/download/v${PROTOC_VERSION}/protoc-${PROTOC_VERSION}-osx-x86_64.zip
    PROTOC_HASH           ?= 699ceee7ef0988ecf72bf1c146dee5d9d89351a19d4093d30ebea3c04008bb8c
else ifeq (${OS},Linux)
    PROTOC_URL            ?= https://github.com/protocolbuffers/protobuf/releases/download/v${PROTOC_VERSION}/protoc-${PROTOC_VERSION}-linux-x86_64.zip
    PROTOC_HASH           ?= a2900100ef9cda17d9c0bbf6a3c3592e809f9842f2d9f0d50e3fba7f3fc864f0
endif

.protoc-gen-ruby:
	@echo [!] installing bundler and gems
	@gem install bundler
	@bundle install

# https://github.com/grpc-ecosystem/grpc-gateway#installation
.install-tools:
	@echo [!] Installing tools from tools.go
	@go get google.golang.org/protobuf/cmd/protoc-gen-go@v${PROTOC_GEN_GO_VERSION}
	@go get google.golang.org/grpc/cmd/protoc-gen-go-grpc@v${PROTOC_GEN_GRPC_VERSION}
	@go get github.com/grpc-ecosystem/grpc-gateway/v2/protoc-gen-grpc-gateway@v${PROTOC_GEN_GRPC_GW_VERSION}
	@go get github.com/grpc-ecosystem/grpc-gateway/v2/protoc-gen-openapiv2@v${PROTOC_GEN_GRPC_GW_VERSION}
	@cat tools.go | grep _ | awk -F'"' '{print $$2}' | xargs -tI % go install %

${PROTOC_DIR}/protoc.zip: 
	${Q}if [ -z "${PROTOC_URL}" ]; then echo "Cannot generate protos on unsupported platform ${OS}" && exit 1; fi
	@echo [!] ${PROTOC_DIR}/protoc.zip not found, downloading ${PROTOC_URL}
	curl -o protoc.tmp --show-error -L ${PROTOC_URL}
	rm -rf ${PROTOC_DIR}
	mkdir -p ${PROTOC_DIR}
	mv protoc.tmp ${PROTOC_DIR}/protoc.zip
	ls -lah ${PROTOC_DIR}

${PROTOC}: ${PROTOC_DIR}/protoc.zip 
	${Q}if printf '${PROTOC_HASH}  ${PROTOC_DIR}/protoc.zip' | sha256sum -c -	;\
	then										 \
	echo [!] ${PROTOC_DIR}/protoc.zip matches pinned ${OS} hash ${PROTOC_HASH} 	;\
	unzip -q -o ${PROTOC_DIR}/protoc.zip -d ${PROTOC_DIR}				;\
	else										 \
	@echo [!] protoc.zip does not match ${PROTOC_HASH}, no *.pb.* files generated.	;\
	@echo [!] remove the ${PROTOC_DIR}/protoc.zip or change the pinned hash.	;\
	exit 1										;\
	fi

proto: ${PROTOC} .protoc-gen-ruby .install-tools
	@echo [!] removing ${PROTO_DIR}/*.pb.go
	@rm -Rf ${PROTO_DIR}/*.pb.go
	@echo [!] compiling PB files ...
	@echo [!] PROTO_DIR=${PROTO_DIR}
	@echo [!] PROTOC_DIR=${PROTOC_DIR}
	@echo [!] DOCS_DIR=${DOCS_DIR}

	mkdir -p ${DOCS_DIR}

	# Generate Go protobuf files
	@${PROTOC_DIR}/bin/protoc -I${PROTOC_DIR}/include				 	\
        -I$$GOPATH/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis     	\
        -I$$GOPATH/pkg/mod/github.com/grpc-ecosystem/grpc-gateway/v2@v2.1.0/third_party/googleapis	\
        --go_out=${PROTO_DIR}               						 	\
        --go-grpc_out=${PROTO_DIR}          						 	\
        --grpc-gateway_out=${PROTO_DIR}       					 	 	\
        --openapiv2_out=${DOCS_DIR}     							 	\
        --proto_path=${PROTO_DIR}             						 	\
        ${PROTO_DIR}/spamcheck.proto	

	# Generate Ruby protobuf files
	@bundle exec ruby _support/generate-proto-ruby

	@echo [!] go_out=${PROTO_DIR}
	@echo [!] go-grpc_out=${PROTO_DIR}
	@echo [!] go-grpc-gateway_out=${PROTO_DIR}
	@echo [!] openapiv2_out=${DOCS_DIR}
	@echo [!] ruby-proto-out=${RUBY_PROTO_DIR}
	ls -lah ${PROTO_DIR}

build: proto
	@echo [!] building ...
	@go build -ldflags="-X ${VER} -X ${GIT} -X ${BUILD_TAG} -X ${BUILD_TS}" -tags "${JAEGER_BUILD_TAGS}"

gem: proto
	@bundle exec ruby _support/publish-gem

test: 
	@echo testing ...
	@go test -failfast ./...

run: proto
	@go run -ldflags="-X ${VER} -X ${GIT} -X ${BUILD_TAG} -X ${BUILD_TS}" -tags "${JAEGER_BUILD_TAGS}" main.go

.PHONY: proto build test run

## ruby-spamcheck 0.1.0+git20210519.2084b44

=== debian/changelog ===
ruby-spamcheck (0.1.0+git20210519.2084b44-2) unstable; urgency=medium

  * Remove dependency on ruby-grpc (See #966653)

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 Jun 2021 22:24:16 +0530

ruby-spamcheck (0.1.0+git20210519.2084b44-1) unstable; urgency=medium

  * Initial release (Closes: #989265)

 -- Pirate Praveen <praveen@debian.org>  Sun, 30 May 2021 23:49:41 +0530

=== debian/control ===
Source: ruby-spamcheck
Section: contrib/ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               ruby-grpc (>= 1.0),
               ruby-grpc-tools
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-spamcheck.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-spamcheck
Homepage: https://gitlab.com/gitlab-org/gl-security/engineering-and-research/automation-team/spam/spamcheck
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-spamcheck
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
# See #966653
#         ${ruby:Depends},
#         ruby-grpc,
         ${shlibs:Depends}
Description: Auto-generated gRPC client for SpamCheck
 This library allows connecting to spamcheck service using google rpc service.
 .
 Since regenerating these generated ruby files require updating some core
 golang modules, this package is uploaded to contrib with upstream provided
 *_pb.rb files.

=== debian/watch ===
version=4
opts=\
mode=git,pretty=0.1.0+git%cd.%h \
https://gitlab.com/gitlab-org/spamcheck HEAD debian

## ruby-spamcheck 1.0.0+git20220819.662e6bf

=== Makefile ===
# Set python virtual environment
export PIPENV_VENV_IN_PROJECT=1
VENV := ./.venv

SHELL = /usr/bin/env bash -eo pipefail

SPAMCHECK_PROTO_PATH := ${PWD}/api/v1
SPAMCHECK_PROTO      := ${SPAMCHECK_PROTO_PATH}/*.proto
RUBY_PROTO_PATH      := ${PWD}/ruby/spamcheck

deps: ${VENV}

${VENV}:
	pip install pipenv
	pipenv install --dev

# Generate Python protobuf files
proto:
	pipenv run python -m grpc_tools.protoc \
		--proto_path=${PWD} \
		--python_out=${PWD} \
		--grpc_python_out=${PWD} \
		${SPAMCHECK_PROTO}

# Generate Ruby protobuf files
proto_ruby:
	gem install bundler
	bundle install
	bundle exec grpc_tools_ruby_protoc \
		--proto_path=${SPAMCHECK_PROTO_PATH} \
		--ruby_out=${RUBY_PROTO_PATH} \
		--grpc_out=${RUBY_PROTO_PATH} \
		${SPAMCHECK_PROTO}

gem: proto_ruby
	bundle exec ruby _support/publish-gem

lint: ${VENV} proto
	 pipenv run pylint --rcfile=.pylintrc *.py app server

test: ${VENV} proto
	ENV=test PYTHONDONTWRITEBYTECODE=1 pipenv run coverage run -m pytest -W ignore::DeprecationWarning
	pipenv run coverage report -m

run: ${VENV} proto
	pipenv run python main.py

clean:
	rm -rf ${SPAMCHECK_PROTO_PATH}/*.py

.PHONY: proto proto_ruby gem test run clean

=== debian/changelog ===
ruby-spamcheck (1.0.0+git20220819.662e6bf-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Pirate Praveen ]
  * Reupload to unstable
  * Add back ruby-grpc dependency (Closes: #966653)

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Feb 2023 17:07:42 +0100

ruby-spamcheck (1.0.0+git20220819.662e6bf-1) experimental; urgency=medium

  * Team upload.
  * Update d/watch
  * New upstream version 1.0.0+git20220819.662e6bf

 -- Vinay Keshava <vinaykeshava@disroot.org>  Sun, 09 Oct 2022 00:28:46 +0530

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
-               ruby-grpc (>= 1.0),
+               ruby-grpc (>= 1.0~),
                ruby-grpc-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-spamcheck.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-spamcheck
 Homepage: https://gitlab.com/gitlab-org/gl-security/engineering-and-research/automation-team/spam/spamcheck
@@ -19,9 +19,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
-# See #966653
-#         ${ruby:Depends},
-#         ruby-grpc,
+         ${ruby:Depends},
          ${shlibs:Depends}
 Description: Auto-generated gRPC client for SpamCheck
  This library allows connecting to spamcheck service using google rpc service.

=== debian/watch ===
version=4
opts=\
mode=git,pretty=1.0.0+git%cd.%h \
https://gitlab.com/gitlab-org/spamcheck HEAD debian

## ruby-spamcheck 1.10.1

=== Makefile ===
--- 
+++ 
@@ -32,8 +32,9 @@
 		--grpc_out=${RUBY_PROTO_PATH} \
 		${SPAMCHECK_PROTO}
 
-gem: proto_ruby
-	bundle exec ruby _support/publish-gem
+gem: proto proto_ruby
+	gem build spamcheck.gemspec
+	./tests/gem/test.sh || (rm -f spamcheck*.gem && exit 1)
 
 lint: ${VENV} proto
 	 pipenv run pylint --rcfile=.pylintrc *.py app server

=== debian/changelog ===
ruby-spamcheck (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to relax grpc-tools version requirement
  * generate ruby protobuf files (Closes: #1039950)
  * d/control :
      - Add ruby-bundler to Build-dep
      - Add libprotobuf-dev to build-dep

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 01 Jul 2023 16:37:10 +0530

ruby-spamcheck (1.10.1-1) unstable; urgency=medium

  * Update homepage and watch file for the new repo
  * New upstream version 1.10.1
  * Drop patch no longer needed (gemspec no longer use git)

 -- Pirate Praveen <praveen@debian.org>  Fri, 30 Jun 2023 02:13:23 +0530

ruby-spamcheck (1.4.1-2) unstable; urgency=medium

  * Reupload to unstable
  * Drop obsolete X{S,B}-Ruby-Versions fields

 -- Pirate Praveen <praveen@debian.org>  Thu, 29 Jun 2023 02:17:42 +0530

ruby-spamcheck (1.4.1-1) experimental; urgency=medium

  * Update homepage and watch to point to new location
  * New upstream version 1.4.1
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Thu, 04 May 2023 20:59:56 +0530

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gem2deb (>= 1),
+               gem2deb (>= 2.1~),
                ruby-grpc (>= 1.0~),
-               ruby-grpc-tools
+               ruby-grpc-tools,
+               ruby-bundler,
+	       libprotobuf-dev
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-spamcheck.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-spamcheck
-Homepage: https://gitlab.com/gitlab-org/gl-security/engineering-and-research/automation-team/spam/spamcheck
+Homepage: https://gitlab.com/gitlab-org/gl-security/security-engineering/security-automation/spam/spamcheck
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-spamcheck
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install
export SPAMCHECK_PROTO_PATH = api/v1
export RUBY_PROTO_PATH = ruby/spamcheck



%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	rm Gemfile.lock
	RAILS_ENV=development BUNDLE_GEMFILE=Gemfile \
	bundle install --local
	RAILS_ENV=development BUNDLE_GEMFILE=Gemfile \
	bundle exec grpc_tools_ruby_protoc \
		--proto_path=${SPAMCHECK_PROTO_PATH} \
		--ruby_out=${RUBY_PROTO_PATH} \
		--grpc_out=${RUBY_PROTO_PATH} \
		${SPAMCHECK_PROTO_PATH}/*.proto
	dh_auto_build -O--buildsystem=ruby

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*v(.*)\/.*/spamcheck-$1.tar.gz/ \
https://gitlab.com/gitlab-org/gl-security/security-engineering/security-automation/spam/spamcheck/-/tags .*/spamcheck-v(.*).tar.gz
